## org.eclipse.emf.ecore.sdo
Interface SDOPackage

All Superinterfaces:
  EModelElement, ENamedElement, EObject, EPackage, Notifier

All Known Implementing Classes:
  SDOPackageImpl

    public interface SDOPackage

extends EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `SDOFactory`

Nested Class Summary
`static interface` `SDOPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`EPackage.Descriptor, EPackage.Registry`

Field Summary
`static int` `CHANGE_SUMMARY` The meta object id for the '`Change Summary`' class
`static int` `CHANGE_SUMMARY__CHANGED_DATA_OBJECTS` The feature id for the 'Changed Data Objects' reference list
`static int` `CHANGE_SUMMARY__DATA_GRAPH` The feature id for the 'Data Graph' reference
`static int` `CHANGE_SUMMARY__LOGGING` The feature id for the 'Logging' attribute
`static int` `CHANGE_SUMMARY_FEATURE_COUNT` The number of structural features of the 'Change Summary' class
`static int` `CHANGE_SUMMARY_SETTING` The meta object id for the '`Change Summary Setting`' class
`static int` `CHANGE_SUMMARY_SETTING__PROPERTY` The feature id for the 'Property' reference
`static int` `CHANGE_SUMMARY_SETTING_FEATURE_COUNT` The number of structural features of the 'Change Summary Setting' class
`static int` `DATA_GRAPH` The meta object id for the '`Data Graph`' class
`static int` `DATA_GRAPH__CHANGE_SUMMARY` The feature id for the 'Change Summary' reference
`static int` `DATA_GRAPH__ROOT_OBJECT` The feature id for the 'Root Object' reference
`static int` `DATA_GRAPH_FEATURE_COUNT` The number of structural features of the 'Data Graph' class
`static int` `DATA_OBJECT` The meta object id for the '`Data Object`' class
`static int` `DATA_OBJECT_FEATURE_COUNT` The number of structural features of the 'Data Object' class
`static int` `ECHANGE_SUMMARY` The meta object id for the '`EChange Summary`' class
`static int` `ECHANGE_SUMMARY__CHANGED_DATA_OBJECTS` The feature id for the 'Changed Data Objects' reference list
`static int` `ECHANGE_SUMMARY__DATA_GRAPH` The feature id for the 'Data Graph' reference
`static int` `ECHANGE_SUMMARY__EDATA_GRAPH` The feature id for the 'EData Graph' reference
`static int` `ECHANGE_SUMMARY__LOGGING` The feature id for the 'Logging' attribute
`static int` `ECHANGE_SUMMARY__OBJECT_CHANGES` The feature id for the 'Object Changes' map
`static int` `ECHANGE_SUMMARY__OBJECTS_TO_ATTACH` The feature id for the 'Objects To Attach' containment reference list
`static int` `ECHANGE_SUMMARY__OBJECTS_TO_DETACH` The feature id for the 'Objects To Detach' reference list
`static int` `ECHANGE_SUMMARY__RESOURCE_CHANGES` The feature id for the 'Resource Changes' containment reference list
`static int` `ECHANGE_SUMMARY_FEATURE_COUNT` The number of structural features of the 'EChange Summary' class
`static int` `ECHANGE_SUMMARY_SETTING` The meta object id for the '`EChange Summary Setting`' class
`static int` `ECHANGE_SUMMARY_SETTING__DATA_VALUE` The feature id for the 'Data Value' attribute
`static int` `ECHANGE_SUMMARY_SETTING__FEATURE` The feature id for the 'Feature' reference
`static int` `ECHANGE_SUMMARY_SETTING__FEATURE_NAME` The feature id for the 'Feature Name' attribute
`static int` `ECHANGE_SUMMARY_SETTING__LIST_CHANGES` The feature id for the 'List Changes' containment reference list
`static int` `ECHANGE_SUMMARY_SETTING__PROPERTY` The feature id for the 'Property' reference
`static int` `ECHANGE_SUMMARY_SETTING__REFERENCE_VALUE` The feature id for the 'Reference Value' reference
`static int` `ECHANGE_SUMMARY_SETTING__SET` The feature id for the 'Set' attribute
`static int` `ECHANGE_SUMMARY_SETTING__VALUE` The feature id for the 'Value' attribute
`static int` `ECHANGE_SUMMARY_SETTING_FEATURE_COUNT` The number of structural features of the 'EChange Summary Setting' class
`static java.lang.String` `eCONTENT_TYPE` The package content type ID
`static int` `EDATA_GRAPH` The meta object id for the '`EData Graph`' class
`static int` `EDATA_GRAPH__CHANGE_SUMMARY` The feature id for the 'Change Summary' reference
`static int` `EDATA_GRAPH__ECHANGE_SUMMARY` The feature id for the 'EChange Summary' reference
`static int` `EDATA_GRAPH__EROOT_OBJECT` The feature id for the 'ERoot Object' reference
`static int` `EDATA_GRAPH__RESOURCE_SET` The feature id for the 'Resource Set' attribute
`static int` `EDATA_GRAPH__ROOT_OBJECT` The feature id for the 'Root Object' reference
`static int` `EDATA_GRAPH__ROOT_RESOURCE` The feature id for the 'Root Resource' attribute
`static int` `EDATA_GRAPH_FEATURE_COUNT` The number of structural features of the 'EData Graph' class
`static int` `EDATA_OBJECT` The meta object id for the '`EData Object`' class
`static int` `EDATA_OBJECT_ANY_TYPE` The meta object id for the '`EData Object Any Type`' class
`static int` `EDATA_OBJECT_ANY_TYPE__ANY` The feature id for the 'Any' attribute list
`static int` `EDATA_OBJECT_ANY_TYPE__ANY_ATTRIBUTE` The feature id for the 'Any Attribute' attribute list
`static int` `EDATA_OBJECT_ANY_TYPE__MIXED` The feature id for the 'Mixed' attribute list
`static int` `EDATA_OBJECT_ANY_TYPE_FEATURE_COUNT` The number of structural features of the 'EData Object Any Type' class
`static int` `EDATA_OBJECT_FEATURE_COUNT` The number of structural features of the 'EData Object' class
`static int` `EDATA_OBJECT_SIMPLE_ANY_TYPE` The meta object id for the '`EData Object Simple Any Type`' class
`static int` `EDATA_OBJECT_SIMPLE_ANY_TYPE__ANY` The feature id for the 'Any' attribute list
`static int` `EDATA_OBJECT_SIMPLE_ANY_TYPE__ANY_ATTRIBUTE` The feature id for the 'Any Attribute' attribute list
`static int` `EDATA_OBJECT_SIMPLE_ANY_TYPE__INSTANCE_TYPE` The feature id for the 'Instance Type' reference
`static int` `EDATA_OBJECT_SIMPLE_ANY_TYPE__MIXED` The feature id for the 'Mixed' attribute list
`static int` `EDATA_OBJECT_SIMPLE_ANY_TYPE__RAW_VALUE` The feature id for the 'Raw Value' attribute
`static int` `EDATA_OBJECT_SIMPLE_ANY_TYPE__VALUE` The feature id for the 'Value' attribute
`static int` `EDATA_OBJECT_SIMPLE_ANY_TYPE_FEATURE_COUNT` The number of structural features of the 'EData Object Simple Any Type' class
`static SDOPackage` `eINSTANCE` The singleton instance of the package
`static int` `EJAVA_LIST` The meta object id for the 'EJava List' data type
`static int` `EJAVA_SERIALIZABLE` The meta object id for the '`EJava Serializable`' class
`static int` `EJAVA_SERIALIZABLE_FEATURE_COUNT` The number of structural features of the 'EJava Serializable' class
`static java.lang.String` `eNAME` The package name
`static java.lang.String` `eNS_PREFIX` The package namespace name
`static java.lang.String` `eNS_URI` The package namespace URI
`static int` `EOBJECT_STREAM_EXCEPTION` The meta object id for the 'EObject Stream Exception' data type
`static int` `EPROPERTY` The meta object id for the '`EProperty`' class
`static int` `EPROPERTY__CONTAINING_TYPE` The feature id for the 'Containing Type' container reference
`static int` `EPROPERTY__CONTAINMENT` The feature id for the 'Containment' attribute
`static int` `EPROPERTY__DEFAULT` The feature id for the 'Default' attribute
`static int` `EPROPERTY__ESTRUCTURAL_FEATURE` The feature id for the 'EStructural Feature' reference
`static int` `EPROPERTY__MANY` The feature id for the 'Many' attribute
`static int` `EPROPERTY__NAME` The feature id for the 'Name' attribute
`static int` `EPROPERTY__TYPE` The feature id for the 'Type' reference
`static int` `EPROPERTY_FEATURE_COUNT` The number of structural features of the 'EProperty' class
`static int` `ESEQUENCE` The meta object id for the '`ESequence`' class
`static int` `ESEQUENCE_FEATURE_COUNT` The number of structural features of the 'ESequence' class
`static int` `ETYPE` The meta object id for the '`EType`' class
`static int` `ETYPE__ECLASSIFIER` The feature id for the 'EClassifier' reference
`static int` `ETYPE__INSTANCE_CLASS` The feature id for the 'Instance Class' attribute
`static int` `ETYPE__NAME` The feature id for the 'Name' attribute
`static int` `ETYPE__PROPERTIES` The feature id for the 'Properties' containment reference list
`static int` `ETYPE__URI` The feature id for the 'URI' attribute
`static int` `ETYPE_FEATURE_COUNT` The number of structural features of the 'EType' class
`static int` `INTERNAL_EDATA_OBJECT` The meta object id for the '`Internal EData Object`' class
`static int` `INTERNAL_EDATA_OBJECT_FEATURE_COUNT` The number of structural features of the 'Internal EData Object' class
`static int` `PROPERTY` The meta object id for the '`Property`' class
`static int` `PROPERTY__CONTAINING_TYPE` The feature id for the 'Containing Type' container reference
`static int` `PROPERTY__CONTAINMENT` The feature id for the 'Containment' attribute
`static int` `PROPERTY__DEFAULT` The feature id for the 'Default' attribute
`static int` `PROPERTY__MANY` The feature id for the 'Many' attribute
`static int` `PROPERTY__NAME` The feature id for the 'Name' attribute
`static int` `PROPERTY__TYPE` The feature id for the 'Type' reference
`static int` `PROPERTY_FEATURE_COUNT` The number of structural features of the 'Property' class
`static int` `SEQUENCE` The meta object id for the '`Sequence`' class
`static int` `SEQUENCE_FEATURE_COUNT` The number of structural features of the 'Sequence' class
`static int` `TYPE` The meta object id for the '`Type`' class
`static int` `TYPE__INSTANCE_CLASS` The feature id for the 'Instance Class' attribute
`static int` `TYPE__NAME` The feature id for the 'Name' attribute
`static int` `TYPE__PROPERTIES` The feature id for the 'Properties' containment reference list
`static int` `TYPE__URI` The feature id for the 'URI' attribute
`static int` `TYPE_FEATURE_COUNT` The number of structural features of the 'Type' class

Method Summary
`EReference` `getChangeSummary_ChangedDataObjects()` Returns the meta object for the reference list '`Changed Data Objects`'
`EReference` `getChangeSummary_DataGraph()` Returns the meta object for the reference '`Data Graph`'
`EAttribute` `getChangeSummary_Logging()` Returns the meta object for the attribute '`Logging`'
`EClass` `getChangeSummary()` Returns the meta object for class '`Change Summary`'
`EReference` `getChangeSummarySetting_Property()` Returns the meta object for the reference '`Property`'
`EClass` `getChangeSummarySetting()` Returns the meta object for class '`Change Summary Setting`'
`EReference` `getDataGraph_ChangeSummary()` Returns the meta object for the reference '`Change Summary`'
`EReference` `getDataGraph_RootObject()` Returns the meta object for the reference '`Root Object`'
`EClass` `getDataGraph()` Returns the meta object for class '`Data Graph`'
`EClass` `getDataObject()` Returns the meta object for class '`Data Object`'
`EReference` `getEChangeSummary_EDataGraph()` Returns the meta object for the reference '`EData Graph`'
`EClass` `getEChangeSummary()` Returns the meta object for class '`EChange Summary`'
`EClass` `getEChangeSummarySetting()` Returns the meta object for class '`EChange Summary Setting`'
`EReference` `getEDataGraph_EChangeSummary()` Returns the meta object for the reference '`EChange Summary`'
`EReference` `getEDataGraph_ERootObject()` Returns the meta object for the reference '`ERoot Object`'
`EAttribute` `getEDataGraph_ResourceSet()` Returns the meta object for the attribute '`Resource Set`'
`EAttribute` `getEDataGraph_RootResource()` Returns the meta object for the attribute '`Root Resource`'
`EClass` `getEDataGraph()` Returns the meta object for class '`EData Graph`'
`EClass` `getEDataObject()` Returns the meta object for class '`EData Object`'
`EClass` `getEDataObjectAnyType()` Returns the meta object for class '`EData Object Any Type`'
`EClass` `getEDataObjectSimpleAnyType()` Returns the meta object for class '`EData Object Simple Any Type`'
`EDataType` `getEJavaList()` Returns the meta object for data type '`EJava List`'
`EClass` `getEJavaSerializable()` Returns the meta object for class '`EJava Serializable`'
`EDataType` `getEObjectStreamException()` Returns the meta object for data type '`EObject Stream Exception`'
`EReference` `getEProperty_EStructuralFeature()` Returns the meta object for the reference '`EStructural Feature`'
`EClass` `getEProperty()` Returns the meta object for class '`EProperty`'
`EClass` `getESequence()` Returns the meta object for class '`ESequence`'
`EReference` `getEType_EClassifier()` Returns the meta object for the reference '`EClassifier`'
`EClass` `getEType()` Returns the meta object for class '`EType`'
`EClass` `getInternalEDataObject()` Returns the meta object for class '`Internal EData Object`'
`EReference` `getProperty_ContainingType()` Returns the meta object for the container reference '`Containing Type`'
`EAttribute` `getProperty_Containment()` Returns the meta object for the attribute '`Containment`'
`EAttribute` `getProperty_Default()` Returns the meta object for the attribute '`Default`'
`EAttribute` `getProperty_Many()` Returns the meta object for the attribute '`Many`'
`EAttribute` `getProperty_Name()` Returns the meta object for the attribute '`Name`'
`EReference` `getProperty_Type()` Returns the meta object for the reference '`Type`'
`EClass` `getProperty()` Returns the meta object for class '`Property`'
`SDOFactory` `getSDOFactory()` Returns the factory that creates the instances of the model
`EClass` `getSequence()` Returns the meta object for class '`Sequence`'
`EAttribute` `getType_InstanceClass()` Returns the meta object for the attribute '`Instance Class`'
`EAttribute` `getType_Name()` Returns the meta object for the attribute '`Name`'
`EReference` `getType_Properties()` Returns the meta object for the containment reference list '`Properties`'
`EAttribute` `getType_URI()` Returns the meta object for the attribute '`URI`'
`EClass` `getType()` Returns the meta object for class '`Type`'

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eCONTENT_TYPE

    static final java.lang.String eCONTENT_TYPE

  The package content type ID.

  Since:
    2.4
  See Also:
    Constant Field Values

### eINSTANCE

    static final SDOPackage eINSTANCE

  The singleton instance of the package.

### EDATA_OBJECT

    static final int EDATA_OBJECT

  The meta object id for the '`EData Object`' class.

  See Also:
    `EDataObjectImpl`, `SDOPackageImpl.getEDataObject()`, Constant Field Values

### DATA_GRAPH

    static final int DATA_GRAPH

  The meta object id for the '`Data Graph`' class.

  See Also:
    `DataGraph`, `SDOPackageImpl.getDataGraph()`, Constant Field Values

### EDATA_GRAPH

    static final int EDATA_GRAPH

  The meta object id for the '`EData Graph`' class.

  See Also:
    `EDataGraphImpl`, `SDOPackageImpl.getEDataGraph()`, Constant Field Values

### CHANGE_SUMMARY

    static final int CHANGE_SUMMARY

  The meta object id for the '`Change Summary`' class.

  See Also:
    `ChangeSummary`, `SDOPackageImpl.getChangeSummary()`, Constant Field Values

### ECHANGE_SUMMARY

    static final int ECHANGE_SUMMARY

  The meta object id for the '`EChange Summary`' class.

  See Also:
    `EChangeSummaryImpl`, `SDOPackageImpl.getEChangeSummary()`, Constant Field Values

### ECHANGE_SUMMARY__OBJECT_CHANGES

    static final int ECHANGE_SUMMARY__OBJECT_CHANGES

  The feature id for the 'Object Changes' map.

  See Also:
    Constant Field Values

### ECHANGE_SUMMARY__OBJECTS_TO_DETACH

    static final int ECHANGE_SUMMARY__OBJECTS_TO_DETACH

  The feature id for the 'Objects To Detach' reference list.

  See Also:
    Constant Field Values

### ECHANGE_SUMMARY__OBJECTS_TO_ATTACH

    static final int ECHANGE_SUMMARY__OBJECTS_TO_ATTACH

  The feature id for the 'Objects To Attach' containment reference list.

  See Also:
    Constant Field Values

### ECHANGE_SUMMARY__RESOURCE_CHANGES

    static final int ECHANGE_SUMMARY__RESOURCE_CHANGES

  The feature id for the 'Resource Changes' containment reference list.

  See Also:
    Constant Field Values

### ECHANGE_SUMMARY__LOGGING

    static final int ECHANGE_SUMMARY__LOGGING

  The feature id for the 'Logging' attribute.

  See Also:
    Constant Field Values

### ECHANGE_SUMMARY__DATA_GRAPH

    static final int ECHANGE_SUMMARY__DATA_GRAPH

  The feature id for the 'Data Graph' reference.

  See Also:
    Constant Field Values

### ECHANGE_SUMMARY__CHANGED_DATA_OBJECTS

    static final int ECHANGE_SUMMARY__CHANGED_DATA_OBJECTS

  The feature id for the 'Changed Data Objects' reference list.

  See Also:
    Constant Field Values

### ECHANGE_SUMMARY__EDATA_GRAPH

    static final int ECHANGE_SUMMARY__EDATA_GRAPH

  The feature id for the 'EData Graph' reference.

  See Also:
    Constant Field Values

### PROPERTY

    static final int PROPERTY

  The meta object id for the '`Property`' class.

  See Also:
    `Property`, `SDOPackageImpl.getProperty()`, Constant Field Values

### EPROPERTY

    static final int EPROPERTY

  The meta object id for the '`EProperty`' class.

  See Also:
    `EPropertyImpl`, `SDOPackageImpl.getEProperty()`, Constant Field Values

### TYPE

    static final int TYPE

  The meta object id for the '`Type`' class.

  See Also:
    `Type`, `SDOPackageImpl.getType()`, Constant Field Values

### ETYPE

    static final int ETYPE

  The meta object id for the '`EType`' class.

  See Also:
    `ETypeImpl`, `SDOPackageImpl.getEType()`, Constant Field Values

### SEQUENCE

    static final int SEQUENCE

  The meta object id for the '`Sequence`' class.

  See Also:
    `Sequence`, `SDOPackageImpl.getSequence()`, Constant Field Values

### DATA_OBJECT

    static final int DATA_OBJECT

  The meta object id for the '`Data Object`' class.

  See Also:
    `DataObject`, `SDOPackageImpl.getDataObject()`, Constant Field Values

### ECHANGE_SUMMARY_FEATURE_COUNT

    static final int ECHANGE_SUMMARY_FEATURE_COUNT

  The number of structural features of the 'EChange Summary' class.

  See Also:
    Constant Field Values

### CHANGE_SUMMARY_SETTING

    static final int CHANGE_SUMMARY_SETTING

  The meta object id for the '`Change Summary Setting`' class.

  See Also:
    `ChangeSummary.Setting`, `SDOPackageImpl.getChangeSummarySetting()`, Constant Field Values

### ECHANGE_SUMMARY_SETTING

    static final int ECHANGE_SUMMARY_SETTING

  The meta object id for the '`EChange Summary Setting`' class.

  See Also:
    `EChangeSummarySettingImpl`, `SDOPackageImpl.getEChangeSummarySetting()`, Constant Field Values

### ECHANGE_SUMMARY_SETTING__FEATURE_NAME

    static final int ECHANGE_SUMMARY_SETTING__FEATURE_NAME

  The feature id for the 'Feature Name' attribute.

  See Also:
    Constant Field Values

### ECHANGE_SUMMARY_SETTING__DATA_VALUE

    static final int ECHANGE_SUMMARY_SETTING__DATA_VALUE

  The feature id for the 'Data Value' attribute.

  See Also:
    Constant Field Values

### ECHANGE_SUMMARY_SETTING__SET

    static final int ECHANGE_SUMMARY_SETTING__SET

  The feature id for the 'Set' attribute.

  See Also:
    Constant Field Values

### ECHANGE_SUMMARY_SETTING__VALUE

    static final int ECHANGE_SUMMARY_SETTING__VALUE

  The feature id for the 'Value' attribute.

  See Also:
    Constant Field Values

### ECHANGE_SUMMARY_SETTING__FEATURE

    static final int ECHANGE_SUMMARY_SETTING__FEATURE

  The feature id for the 'Feature' reference.

  See Also:
    Constant Field Values

### ECHANGE_SUMMARY_SETTING__REFERENCE_VALUE

    static final int ECHANGE_SUMMARY_SETTING__REFERENCE_VALUE

  The feature id for the 'Reference Value' reference.

  See Also:
    Constant Field Values

### ECHANGE_SUMMARY_SETTING__LIST_CHANGES

    static final int ECHANGE_SUMMARY_SETTING__LIST_CHANGES

  The feature id for the 'List Changes' containment reference list.

  See Also:
    Constant Field Values

### ECHANGE_SUMMARY_SETTING__PROPERTY

    static final int ECHANGE_SUMMARY_SETTING__PROPERTY

  The feature id for the 'Property' reference.

  See Also:
    Constant Field Values

### ECHANGE_SUMMARY_SETTING_FEATURE_COUNT

    static final int ECHANGE_SUMMARY_SETTING_FEATURE_COUNT

  The number of structural features of the 'EChange Summary Setting' class.

  See Also:
    Constant Field Values

### EJAVA_SERIALIZABLE

    static final int EJAVA_SERIALIZABLE

  The meta object id for the '`EJava Serializable`' class.

  See Also:
    `Serializable`, `SDOPackageImpl.getEJavaSerializable()`, Constant Field Values

### EJAVA_SERIALIZABLE_FEATURE_COUNT

    static final int EJAVA_SERIALIZABLE_FEATURE_COUNT

  The number of structural features of the 'EJava Serializable' class.

  See Also:
    Constant Field Values

### DATA_GRAPH__ROOT_OBJECT

    static final int DATA_GRAPH__ROOT_OBJECT

  The feature id for the 'Root Object' reference.

  See Also:
    Constant Field Values

### DATA_GRAPH__CHANGE_SUMMARY

    static final int DATA_GRAPH__CHANGE_SUMMARY

  The feature id for the 'Change Summary' reference.

  See Also:
    Constant Field Values

### DATA_GRAPH_FEATURE_COUNT

    static final int DATA_GRAPH_FEATURE_COUNT

  The number of structural features of the 'Data Graph' class.

  See Also:
    Constant Field Values

### EDATA_GRAPH__ROOT_OBJECT

    static final int EDATA_GRAPH__ROOT_OBJECT

  The feature id for the 'Root Object' reference.

  See Also:
    Constant Field Values

### EDATA_GRAPH__CHANGE_SUMMARY

    static final int EDATA_GRAPH__CHANGE_SUMMARY

  The feature id for the 'Change Summary' reference.

  See Also:
    Constant Field Values

### EDATA_GRAPH__RESOURCE_SET

    static final int EDATA_GRAPH__RESOURCE_SET

  The feature id for the 'Resource Set' attribute.

  See Also:
    Constant Field Values

### EDATA_GRAPH__ROOT_RESOURCE

    static final int EDATA_GRAPH__ROOT_RESOURCE

  The feature id for the 'Root Resource' attribute.

  See Also:
    Constant Field Values

### EDATA_GRAPH__ECHANGE_SUMMARY

    static final int EDATA_GRAPH__ECHANGE_SUMMARY

  The feature id for the 'EChange Summary' reference.

  See Also:
    Constant Field Values

### EDATA_GRAPH__EROOT_OBJECT

    static final int EDATA_GRAPH__EROOT_OBJECT

  The feature id for the 'ERoot Object' reference.

  See Also:
    Constant Field Values

### EDATA_GRAPH_FEATURE_COUNT

    static final int EDATA_GRAPH_FEATURE_COUNT

  The number of structural features of the 'EData Graph' class.

  See Also:
    Constant Field Values

### EDATA_OBJECT_FEATURE_COUNT

    static final int EDATA_OBJECT_FEATURE_COUNT

  The number of structural features of the 'EData Object' class.

  See Also:
    Constant Field Values

### PROPERTY__NAME

    static final int PROPERTY__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### PROPERTY__MANY

    static final int PROPERTY__MANY

  The feature id for the 'Many' attribute.

  See Also:
    Constant Field Values

### PROPERTY__CONTAINMENT

    static final int PROPERTY__CONTAINMENT

  The feature id for the 'Containment' attribute.

  See Also:
    Constant Field Values

### PROPERTY__DEFAULT

    static final int PROPERTY__DEFAULT

  The feature id for the 'Default' attribute.

  See Also:
    Constant Field Values

### PROPERTY__TYPE

    static final int PROPERTY__TYPE

  The feature id for the 'Type' reference.

  See Also:
    Constant Field Values

### PROPERTY__CONTAINING_TYPE

    static final int PROPERTY__CONTAINING_TYPE

  The feature id for the 'Containing Type' container reference.

  See Also:
    Constant Field Values

### PROPERTY_FEATURE_COUNT

    static final int PROPERTY_FEATURE_COUNT

  The number of structural features of the 'Property' class.

  See Also:
    Constant Field Values

### EPROPERTY__NAME

    static final int EPROPERTY__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### EPROPERTY__MANY

    static final int EPROPERTY__MANY

  The feature id for the 'Many' attribute.

  See Also:
    Constant Field Values

### EPROPERTY__CONTAINMENT

    static final int EPROPERTY__CONTAINMENT

  The feature id for the 'Containment' attribute.

  See Also:
    Constant Field Values

### EPROPERTY__DEFAULT

    static final int EPROPERTY__DEFAULT

  The feature id for the 'Default' attribute.

  See Also:
    Constant Field Values

### EPROPERTY__TYPE

    static final int EPROPERTY__TYPE

  The feature id for the 'Type' reference.

  See Also:
    Constant Field Values

### EPROPERTY__CONTAINING_TYPE

    static final int EPROPERTY__CONTAINING_TYPE

  The feature id for the 'Containing Type' container reference.

  See Also:
    Constant Field Values

### EPROPERTY__ESTRUCTURAL_FEATURE

    static final int EPROPERTY__ESTRUCTURAL_FEATURE

  The feature id for the 'EStructural Feature' reference.

  See Also:
    Constant Field Values

### EPROPERTY_FEATURE_COUNT

    static final int EPROPERTY_FEATURE_COUNT

  The number of structural features of the 'EProperty' class.

  See Also:
    Constant Field Values

### CHANGE_SUMMARY__LOGGING

    static final int CHANGE_SUMMARY__LOGGING

  The feature id for the 'Logging' attribute.

  See Also:
    Constant Field Values

### CHANGE_SUMMARY__DATA_GRAPH

    static final int CHANGE_SUMMARY__DATA_GRAPH

  The feature id for the 'Data Graph' reference.

  See Also:
    Constant Field Values

### CHANGE_SUMMARY__CHANGED_DATA_OBJECTS

    static final int CHANGE_SUMMARY__CHANGED_DATA_OBJECTS

  The feature id for the 'Changed Data Objects' reference list.

  See Also:
    Constant Field Values

### CHANGE_SUMMARY_FEATURE_COUNT

    static final int CHANGE_SUMMARY_FEATURE_COUNT

  The number of structural features of the 'Change Summary' class.

  See Also:
    Constant Field Values

### CHANGE_SUMMARY_SETTING__PROPERTY

    static final int CHANGE_SUMMARY_SETTING__PROPERTY

  The feature id for the 'Property' reference.

  See Also:
    Constant Field Values

### CHANGE_SUMMARY_SETTING_FEATURE_COUNT

    static final int CHANGE_SUMMARY_SETTING_FEATURE_COUNT

  The number of structural features of the 'Change Summary Setting' class.

  See Also:
    Constant Field Values

### DATA_OBJECT_FEATURE_COUNT

    static final int DATA_OBJECT_FEATURE_COUNT

  The number of structural features of the 'Data Object' class.

  See Also:
    Constant Field Values

### SEQUENCE_FEATURE_COUNT

    static final int SEQUENCE_FEATURE_COUNT

  The number of structural features of the 'Sequence' class.

  See Also:
    Constant Field Values

### ESEQUENCE

    static final int ESEQUENCE

  The meta object id for the '`ESequence`' class.

  See Also:
    `ESequence`, `SDOPackageImpl.getESequence()`, Constant Field Values

### ESEQUENCE_FEATURE_COUNT

    static final int ESEQUENCE_FEATURE_COUNT

  The number of structural features of the 'ESequence' class.

  See Also:
    Constant Field Values

### TYPE__NAME

    static final int TYPE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### TYPE__URI

    static final int TYPE__URI

  The feature id for the 'URI' attribute.

  See Also:
    Constant Field Values

### TYPE__INSTANCE_CLASS

    static final int TYPE__INSTANCE_CLASS

  The feature id for the 'Instance Class' attribute.

  See Also:
    Constant Field Values

### TYPE__PROPERTIES

    static final int TYPE__PROPERTIES

  The feature id for the 'Properties' containment reference list.

  See Also:
    Constant Field Values

### TYPE_FEATURE_COUNT

    static final int TYPE_FEATURE_COUNT

  The number of structural features of the 'Type' class.

  See Also:
    Constant Field Values

### ETYPE__NAME

    static final int ETYPE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### ETYPE__URI

    static final int ETYPE__URI

  The feature id for the 'URI' attribute.

  See Also:
    Constant Field Values

### ETYPE__INSTANCE_CLASS

    static final int ETYPE__INSTANCE_CLASS

  The feature id for the 'Instance Class' attribute.

  See Also:
    Constant Field Values

### ETYPE__PROPERTIES

    static final int ETYPE__PROPERTIES

  The feature id for the 'Properties' containment reference list.

  See Also:
    Constant Field Values

### ETYPE__ECLASSIFIER

    static final int ETYPE__ECLASSIFIER

  The feature id for the 'EClassifier' reference.

  See Also:
    Constant Field Values

### ETYPE_FEATURE_COUNT

    static final int ETYPE_FEATURE_COUNT

  The number of structural features of the 'EType' class.

  See Also:
    Constant Field Values

### INTERNAL_EDATA_OBJECT

    static final int INTERNAL_EDATA_OBJECT

  The meta object id for the '`Internal EData Object`' class.

  See Also:
    `InternalEDataObject`, `SDOPackageImpl.getInternalEDataObject()`, Constant Field Values

### INTERNAL_EDATA_OBJECT_FEATURE_COUNT

    static final int INTERNAL_EDATA_OBJECT_FEATURE_COUNT

  The number of structural features of the 'Internal EData Object' class.

  See Also:
    Constant Field Values

### EDATA_OBJECT_ANY_TYPE

    static final int EDATA_OBJECT_ANY_TYPE

  The meta object id for the '`EData Object Any Type`' class.

  See Also:
    `EDataObjectAnyTypeImpl`, `SDOPackageImpl.getEDataObjectAnyType()`, Constant Field Values

### EDATA_OBJECT_ANY_TYPE__MIXED

    static final int EDATA_OBJECT_ANY_TYPE__MIXED

  The feature id for the 'Mixed' attribute list.

  See Also:
    Constant Field Values

### EDATA_OBJECT_ANY_TYPE__ANY

    static final int EDATA_OBJECT_ANY_TYPE__ANY

  The feature id for the 'Any' attribute list.

  See Also:
    Constant Field Values

### EDATA_OBJECT_ANY_TYPE__ANY_ATTRIBUTE

    static final int EDATA_OBJECT_ANY_TYPE__ANY_ATTRIBUTE

  The feature id for the 'Any Attribute' attribute list.

  See Also:
    Constant Field Values

### EDATA_OBJECT_ANY_TYPE_FEATURE_COUNT

    static final int EDATA_OBJECT_ANY_TYPE_FEATURE_COUNT

  The number of structural features of the 'EData Object Any Type' class.

  See Also:
    Constant Field Values

### EDATA_OBJECT_SIMPLE_ANY_TYPE

    static final int EDATA_OBJECT_SIMPLE_ANY_TYPE

  The meta object id for the '`EData Object Simple Any Type`' class.

  See Also:
    `EDataObjectSimpleAnyTypeImpl`, `SDOPackageImpl.getEDataObjectSimpleAnyType()`, Constant Field Values

### EDATA_OBJECT_SIMPLE_ANY_TYPE__MIXED

    static final int EDATA_OBJECT_SIMPLE_ANY_TYPE__MIXED

  The feature id for the 'Mixed' attribute list.

  See Also:
    Constant Field Values

### EDATA_OBJECT_SIMPLE_ANY_TYPE__ANY

    static final int EDATA_OBJECT_SIMPLE_ANY_TYPE__ANY

  The feature id for the 'Any' attribute list.

  See Also:
    Constant Field Values

### EDATA_OBJECT_SIMPLE_ANY_TYPE__ANY_ATTRIBUTE

    static final int EDATA_OBJECT_SIMPLE_ANY_TYPE__ANY_ATTRIBUTE

  The feature id for the 'Any Attribute' attribute list.

  See Also:
    Constant Field Values

### EDATA_OBJECT_SIMPLE_ANY_TYPE__RAW_VALUE

    static final int EDATA_OBJECT_SIMPLE_ANY_TYPE__RAW_VALUE

  The feature id for the 'Raw Value' attribute.

  See Also:
    Constant Field Values

### EDATA_OBJECT_SIMPLE_ANY_TYPE__VALUE

    static final int EDATA_OBJECT_SIMPLE_ANY_TYPE__VALUE

  The feature id for the 'Value' attribute.

  See Also:
    Constant Field Values

### EDATA_OBJECT_SIMPLE_ANY_TYPE__INSTANCE_TYPE

    static final int EDATA_OBJECT_SIMPLE_ANY_TYPE__INSTANCE_TYPE

  The feature id for the 'Instance Type' reference.

  See Also:
    Constant Field Values

### EDATA_OBJECT_SIMPLE_ANY_TYPE_FEATURE_COUNT

    static final int EDATA_OBJECT_SIMPLE_ANY_TYPE_FEATURE_COUNT

  The number of structural features of the 'EData Object Simple Any Type' class.

  See Also:
    Constant Field Values

### EJAVA_LIST

    static final int EJAVA_LIST

  The meta object id for the 'EJava List' data type.

  See Also:
    `List`, `SDOPackageImpl.getEJavaList()`, Constant Field Values

### EOBJECT_STREAM_EXCEPTION

    static final int EOBJECT_STREAM_EXCEPTION

  The meta object id for the 'EObject Stream Exception' data type.

  See Also:
    `ObjectStreamException`, `SDOPackageImpl.getEObjectStreamException()`, Constant Field Values

Method Detail

### getEDataObject

    EClass getEDataObject()

  Returns the meta object for class '`EData Object`'.

  Returns:
    the meta object for class 'EData Object'.
  See Also:
    `EDataObject`

### getEDataGraph

    EClass getEDataGraph()

  Returns the meta object for class '`EData Graph`'.

  Returns:
    the meta object for class 'EData Graph'.
  See Also:
    `EDataGraph`

### getEDataGraph_ResourceSet

    EAttribute getEDataGraph_ResourceSet()

  Returns the meta object for the attribute '`Resource Set`'.

  Returns:
    the meta object for the attribute 'Resource Set'.
  See Also:
    `EDataGraph.getResourceSet()`, `getEDataGraph()`

### getEDataGraph_RootResource

    EAttribute getEDataGraph_RootResource()

  Returns the meta object for the attribute '`Root Resource`'.

  Returns:
    the meta object for the attribute 'Root Resource'.
  See Also:
    `EDataGraph.getRootResource()`, `getEDataGraph()`

### getEDataGraph_EChangeSummary

    EReference getEDataGraph_EChangeSummary()

  Returns the meta object for the reference '`EChange Summary`'.

  Returns:
    the meta object for the reference 'EChange Summary'.
  See Also:
    `EDataGraph.getEChangeSummary()`, `getEDataGraph()`

### getEDataGraph_ERootObject

    EReference getEDataGraph_ERootObject()

  Returns the meta object for the reference '`ERoot Object`'.

  Returns:
    the meta object for the reference 'ERoot Object'.
  See Also:
    `EDataGraph.getERootObject()`, `getEDataGraph()`

### getEChangeSummary

    EClass getEChangeSummary()

  Returns the meta object for class '`EChange Summary`'.

  Returns:
    the meta object for class 'EChange Summary'.
  See Also:
    `EChangeSummary`

### getEChangeSummary_EDataGraph

    EReference getEChangeSummary_EDataGraph()

  Returns the meta object for the reference '`EData Graph`'.

  Returns:
    the meta object for the reference 'EData Graph'.
  See Also:
    `EChangeSummary.getEDataGraph()`, `getEChangeSummary()`

### getEProperty

    EClass getEProperty()

  Returns the meta object for class '`EProperty`'.

  Returns:
    the meta object for class 'EProperty'.
  See Also:
    `EProperty`

### getEProperty_EStructuralFeature

    EReference getEProperty_EStructuralFeature()

  Returns the meta object for the reference '`EStructural Feature`'.

  Returns:
    the meta object for the reference 'EStructural Feature'.
  See Also:
    `EProperty.getEStructuralFeature()`, `getEProperty()`

### getDataObject

    EClass getDataObject()

  Returns the meta object for class '`Data Object`'.

  Returns:
    the meta object for class 'Data Object'.
  See Also:
    `DataObject`

### getESequence

    EClass getESequence()

  Returns the meta object for class '`ESequence`'.

  Returns:
    the meta object for class 'ESequence'.
  See Also:
    `ESequence`

### getDataGraph

    EClass getDataGraph()

  Returns the meta object for class '`Data Graph`'.

  Returns:
    the meta object for class 'Data Graph'.
  See Also:
    `DataGraph`

### getDataGraph_RootObject

    EReference getDataGraph_RootObject()

  Returns the meta object for the reference '`Root Object`'.

  Returns:
    the meta object for the reference 'Root Object'.
  See Also:
    `DataGraph.getRootObject()`, `getDataGraph()`

### getDataGraph_ChangeSummary

    EReference getDataGraph_ChangeSummary()

  Returns the meta object for the reference '`Change Summary`'.

  Returns:
    the meta object for the reference 'Change Summary'.
  See Also:
    `DataGraph.getChangeSummary()`, `getDataGraph()`

### getChangeSummary

    EClass getChangeSummary()

  Returns the meta object for class '`Change Summary`'.

  Returns:
    the meta object for class 'Change Summary'.
  See Also:
    `ChangeSummary`

### getChangeSummary_Logging

    EAttribute getChangeSummary_Logging()

  Returns the meta object for the attribute '`Logging`'.

  Returns:
    the meta object for the attribute 'Logging'.
  See Also:
    `ChangeSummary.isLogging()`, `getChangeSummary()`

### getChangeSummary_DataGraph

    EReference getChangeSummary_DataGraph()

  Returns the meta object for the reference '`Data Graph`'.

  Returns:
    the meta object for the reference 'Data Graph'.
  See Also:
    `ChangeSummary.getDataGraph()`, `getChangeSummary()`

### getChangeSummary_ChangedDataObjects

    EReference getChangeSummary_ChangedDataObjects()

  Returns the meta object for the reference list '`Changed Data Objects`'.

  Returns:
    the meta object for the reference list 'Changed Data Objects'.
  See Also:
    `ChangeSummary.getChangedDataObjects()`, `getChangeSummary()`

### getEType

    EClass getEType()

  Returns the meta object for class '`EType`'.

  Returns:
    the meta object for class 'EType'.
  See Also:
    `EType`

### getEType_EClassifier

    EReference getEType_EClassifier()

  Returns the meta object for the reference '`EClassifier`'.

  Returns:
    the meta object for the reference 'EClassifier'.
  See Also:
    `EType.getEClassifier()`, `getEType()`

### getType

    EClass getType()

  Returns the meta object for class '`Type`'.

  Returns:
    the meta object for class 'Type'.
  See Also:
    `Type`

### getType_Name

    EAttribute getType_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `Type.getName()`, `getType()`

### getType_URI

    EAttribute getType_URI()

  Returns the meta object for the attribute '`URI`'.

  Returns:
    the meta object for the attribute 'URI'.
  See Also:
    `Type.getURI()`, `getType()`

### getType_InstanceClass

    EAttribute getType_InstanceClass()

  Returns the meta object for the attribute '`Instance Class`'.

  Returns:
    the meta object for the attribute 'Instance Class'.
  See Also:
    `Type.getInstanceClass()`, `getType()`

### getType_Properties

    EReference getType_Properties()

  Returns the meta object for the containment reference list '`Properties`'.

  Returns:
    the meta object for the containment reference list 'Properties'.
  See Also:
    `Type.getProperties()`, `getType()`

### getProperty

    EClass getProperty()

  Returns the meta object for class '`Property`'.

  Returns:
    the meta object for class 'Property'.
  See Also:
    `Property`

### getProperty_Name

    EAttribute getProperty_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `Property.getName()`, `getProperty()`

### getProperty_Many

    EAttribute getProperty_Many()

  Returns the meta object for the attribute '`Many`'.

  Returns:
    the meta object for the attribute 'Many'.
  See Also:
    `Property.isMany()`, `getProperty()`

### getProperty_Containment

    EAttribute getProperty_Containment()

  Returns the meta object for the attribute '`Containment`'.

  Returns:
    the meta object for the attribute 'Containment'.
  See Also:
    `Property.isContainment()`, `getProperty()`

### getProperty_Default

    EAttribute getProperty_Default()

  Returns the meta object for the attribute '`Default`'.

  Returns:
    the meta object for the attribute 'Default'.
  See Also:
    `Property.getDefault()`, `getProperty()`

### getProperty_Type

    EReference getProperty_Type()

  Returns the meta object for the reference '`Type`'.

  Returns:
    the meta object for the reference 'Type'.
  See Also:
    `Property.getType()`, `getProperty()`

### getProperty_ContainingType

    EReference getProperty_ContainingType()

  Returns the meta object for the container reference '`Containing Type`'.

  Returns:
    the meta object for the container reference 'Containing Type'.
  See Also:
    `Property.getContainingType()`, `getProperty()`

### getSequence

    EClass getSequence()

  Returns the meta object for class '`Sequence`'.

  Returns:
    the meta object for class 'Sequence'.
  See Also:
    `Sequence`

### getEChangeSummarySetting

    EClass getEChangeSummarySetting()

  Returns the meta object for class '`EChange Summary Setting`'.

  Returns:
    the meta object for class 'EChange Summary Setting'.
  See Also:
    `EChangeSummarySetting`

### getInternalEDataObject

    EClass getInternalEDataObject()

  Returns the meta object for class '`Internal EData Object`'.

  Returns:
    the meta object for class 'Internal EData Object'.
  See Also:
    `InternalEDataObject`

### getEDataObjectAnyType

    EClass getEDataObjectAnyType()

  Returns the meta object for class '`EData Object Any Type`'.

  Returns:
    the meta object for class 'EData Object Any Type'.
  See Also:
    `EDataObjectAnyType`

### getEDataObjectSimpleAnyType

    EClass getEDataObjectSimpleAnyType()

  Returns the meta object for class '`EData Object Simple Any Type`'.

  Returns:
    the meta object for class 'EData Object Simple Any Type'.
  See Also:
    `EDataObjectSimpleAnyType`

### getEJavaSerializable

    EClass getEJavaSerializable()

  Returns the meta object for class '`EJava Serializable`'.

  Returns:
    the meta object for class 'EJava Serializable'.
  See Also:
    `Serializable`

### getChangeSummarySetting

    EClass getChangeSummarySetting()

  Returns the meta object for class '`Change Summary Setting`'.

  Returns:
    the meta object for class 'Change Summary Setting'.
  See Also:
    `ChangeSummary.Setting`

### getChangeSummarySetting_Property

    EReference getChangeSummarySetting_Property()

  Returns the meta object for the reference '`Property`'.

  Returns:
    the meta object for the reference 'Property'.
  See Also:
    `ChangeSummary.Setting.getProperty()`, `getChangeSummarySetting()`

### getEJavaList

    EDataType getEJavaList()

  Returns the meta object for data type '`EJava List`'.

  Returns:
    the meta object for data type 'EJava List'.
  See Also:
    `List`

### getEObjectStreamException

    EDataType getEObjectStreamException()

  Returns the meta object for data type '`EObject Stream Exception`'.

  Returns:
    the meta object for data type 'EObject Stream Exception'.
  See Also:
    `ObjectStreamException`

### getSDOFactory

    SDOFactory getSDOFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.